function onTalk()
	local location = ""
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(2000, 300, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashful_loc_0",
		requires =
		function ()
			if location == "Dashful_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(680, -920, "Standard2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashful_loc_1",
		requires =
		function ()
			if location == "Dashful_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1340, -920, "Standard2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashful_loc_2",
		requires =
		function ()
			if location == "Dashful_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1720, -920, "Standard2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashful_loc_3",
		requires =
		function ()
			if location == "Dashful_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1940, -920, "Standard2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashful_loc_4",
		requires =
		function ()
			if location == "Dashful_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2670, -920, "Standard2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashful_loc_5",
		requires =
		function ()
			if location == "Dashful_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(3040, -920, "Standard2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashful_loc_6",
		requires =
		function ()
			if location == "Dashful_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(3180, -920, "Standard2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashful_loc_7",
		requires =
		function ()
			if location == "Dashful_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(3550, -920, "Standard2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashful_loc_8",
		requires =
		function ()
			if location == "Dashful_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4080, -920, "Standard2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashful_loc_9",
		requires =
		function ()
			if location == "Dashful_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4470, -920, "Standard2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
